## org.eclipse.datatools.enablement.sybase.ddl
Class SybaseDatabaseObjecType

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ddl.SybaseDatabaseObjecType

    public class SybaseDatabaseObjecType

extends java.lang.Object

Author:
  linsong

Field Summary
`static int` `CHECK_CONSTRAINT`
`static int` `DATABASE`
`static int` `DBSPACE`
`static int` `DEFAULT`
`static int` `EVENT`
`static int` `FOREIGN_KEY`
`static int` `INDEX`
`static int` `JOIN_INDEX`
`static int` `PRIMARY_KEY`
`static int` `PROCEDURE`
`static int` `PROXY_TABLE`
`static int` `ROUTINE`
`static int` `RULE`
`static int` `SEGMENT`
`static int` `TABLE`
`static int` `TRIGGER`
`static int` `UNIQUE_CONSTRAINT`
`static int` `USER_DEFINED_DATATYPE`
`static int` `USER_DEFINED_FUNCTION`
`static int` `USER_GROUP`
`static int` `VIEW`

Constructor Summary
`SybaseDatabaseObjecType()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATABASE

    public static final int DATABASE

See Also:
  Constant Field Values

### TABLE

    public static final int TABLE

See Also:
  Constant Field Values

### USER_DEFINED_FUNCTION

    public static final int USER_DEFINED_FUNCTION

See Also:
  Constant Field Values

### ROUTINE

    public static final int ROUTINE

See Also:
  Constant Field Values

### PROXY_TABLE

    public static final int PROXY_TABLE

See Also:
  Constant Field Values

### VIEW

    public static final int VIEW

See Also:
  Constant Field Values

### USER_DEFINED_DATATYPE

    public static final int USER_DEFINED_DATATYPE

See Also:
  Constant Field Values

### EVENT

    public static final int EVENT

See Also:
  Constant Field Values

### CHECK_CONSTRAINT

    public static final int CHECK_CONSTRAINT

See Also:
  Constant Field Values

### UNIQUE_CONSTRAINT

    public static final int UNIQUE_CONSTRAINT

See Also:
  Constant Field Values

### PRIMARY_KEY

    public static final int PRIMARY_KEY

See Also:
  Constant Field Values

### FOREIGN_KEY

    public static final int FOREIGN_KEY

See Also:
  Constant Field Values

### INDEX

    public static final int INDEX

See Also:
  Constant Field Values

### TRIGGER

    public static final int TRIGGER

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### RULE

    public static final int RULE

See Also:
  Constant Field Values

### JOIN_INDEX

    public static final int JOIN_INDEX

See Also:
  Constant Field Values

### DBSPACE

    public static final int DBSPACE

See Also:
  Constant Field Values

### PROCEDURE

    public static final int PROCEDURE

See Also:
  Constant Field Values

### SEGMENT

    public static final int SEGMENT

See Also:
  Constant Field Values

### USER_GROUP

    public static final int USER_GROUP

See Also:
  Constant Field Values

Constructor Detail

### SybaseDatabaseObjecType

    public SybaseDatabaseObjecType()